%define upstream_name    Path-Dispatcher-Declarative
%define upstream_version 0.03

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 14

Summary:    Sugary dispatcher
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Path/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Any::Moose)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.420.0
BuildRequires: perl(inc::Module::Install)
BuildRequires: perl(Path::Dispatcher) >= 1.20.0
BuildRequires: perl(Sub::Exporter)
BuildArch:  noarch

%description
the Jifty::Dispatcher manpage rocks!

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes META.yml
%{_mandir}/man3/*
%perl_vendorlib/Path/


%changelog
* Fri Jun 27 2025 umeabot <umeabot> 0.30.0-14.mga10
+ Revision: 2204284
- Mageia 10 Mass Rebuild

* Mon Mar 21 2022 umeabot <umeabot> 0.30.0-13.mga9
+ Revision: 1810032
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.30.0-12.mga8
+ Revision: 1505935
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Thu Sep 20 2018 umeabot <umeabot> 0.30.0-11.mga7
+ Revision: 1285618
- Mageia 7 Mass Rebuild

* Tue Oct 03 2017 tv <tv> 0.30.0-10.mga7
+ Revision: 1166139
- rebuild with fixed rpm for missing autodeps

* Wed Sep 27 2017 tv <tv> 0.30.0-9.mga7
+ Revision: 1160519
- add BR on perl(inc::Module::Install)

* Sun Jun 19 2016 pterjan <pterjan> 0.30.0-8.mga6
+ Revision: 1031859
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 0.30.0-7.mga6
+ Revision: 947197
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.30.0-6.mga5
+ Revision: 746395
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 0.30.0-5.mga5
+ Revision: 727695
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 0.30.0-4.mga5
+ Revision: 685912
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.30.0-3.mga4
+ Revision: 514066
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.30.0-2.mga3
+ Revision: 371608
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Feb 28 2011 jquelin <jquelin> 0.30.0-1.mga1
+ Revision: 61601
- update to 0.03
- mageia rebuild
- imported package perl-Path-Dispatcher-Declarative


* Fri Apr 30 2010 Michael Scherer <misc@mandriva.org> 0.10.0-1mdv2010.1
+ Revision: 541114
- import perl-Path-Dispatcher-Declarative


* Fri Apr 30 2010 cpan2dist 0.01-1mdv
- initial mdv release, generated with cpan2dist
